%define name IrfanView

Name:           %{name}
Version:        4.51
Release:        %mkrel 1
License:        http://www.irfanview.com
URL:            http://www.irfanview.com
Vendor:		Irfan Skiljan, Wiener Neustadt, Austria
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}Extras.tar.xz
Summary:        IrfanView: a versatile graphic viewer
Group:          Graphics
Requires:	wine wine-gecko
Obsoletes:      %{name} < %version
Provides:	IrfanView = %version-%release
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:   	glibc >= 2.13
Requires:   	libstdc++6 >= 4.5.2

%description
IrfanView is a very fast and versatile image viewer supporting a multitude of image formats and image processing routines. This version includes all IrfanView plugins. IrfanView is FREEWARE for non-commercial use. 

%prep
%setup -q

%build

%install
rm -rf %{buildroot}

# extract the IrfanView files
mkdir -p %{buildroot}/%_datadir
tar xfJ %{SOURCE0} -C %{buildroot}%_datadir/
mv %{buildroot}%_datadir/%{name}-%{version} %{buildroot}%_datadir/%{name}

# add the IrfanView icon & the mfc42 stuff into IrfanView folder to be copied later
tar xfJ %{SOURCE1} -C %{buildroot}%_datadir/%{name}/

# add the IrfanView launcher
mkdir -p %{buildroot}/%{_bindir}
cat > %{buildroot}/%{_bindir}/%{name} << EOF
#!/bin/bash
OLDIFS=\$IFS
IFS=""
export \$IFS
foo=\$(winepath -w \$*)
wine /usr/share/IrfanView/i_view32.exe \$foo &
IFS=\$OLDIFS
export \$IFS
exit 0
EOF
chmod 755 %{buildroot}/%{_bindir}/%{name}

# add the desktop file
mkdir -p $RPM_BUILD_ROOT/%_datadir/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Type=Application
Name=IrfanView
Comment=a versatile graphic viewer
Exec=IrfanView
Icon=%_datadir/%{name}/%{name}.png
Categories=Graphics;X-MandrivaLinux-Multimedia-Graphics;
Terminal=false
Encoding=UTF-8
StartupNotify=true
EOF

%post
# add a link
ln -sf /usr/bin/%{name} /usr/bin/irfanview

# fix permissions
cd %_datadir/%{name}
chmod 644 Toolbars/* Html/*
chmod -R 755 Plugins/* Languages/*
chmod 644 *.txt Plugins/Crw/*.txt
chmod 644 *.chm
chmod 755 i_view32.exe
SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
user1=`echo $SYSUSERS|awk '{print$1}'`
chown "$user1".users i_view32.ini
chmod 664 i_view32.ini

# setup mfc42 for all existing and new users
#SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
for idx in $SYSUSERS
  do
  INP2=/home/$idx/.wine/drive_c/windows/system32/
  mkdir -p $INP2
  cp -f %_datadir/%{name}/mfc42* $INP2
  chown -R $idx.`id -gn $idx` /home/$idx/.wine
done

INP2=/etc/skel/.wine/drive_c/windows/system32/
mkdir -p $INP2
cp -f %_datadir/%{name}/mfc42* $INP2

%postun
# remove the link 
rm -f /usr/bin/irfanview

%files 
%defattr(-, root, root)
%{_bindir}/%{name}
%_datadir/applications/%{name}.desktop
%_datadir/%{name}

%changelog
* Thu Mar 01 2018 pp <pp> 4.51-1pclos2018
- update

* Wed Jan 06 2016 pp <pp> 4.41-1pclos2016
- update

* Fri Jan 31 2014 Pinoc <vogtpet at gmail.com> 4.37-2pclos2013
- amended launcher script to open image files directly

* Tue Dec 17 2013 Pinoc <vogtpet at gmail.com> 4.37-1pclos2013
- 4.37

* Mon Dec 09 2013 Pinoc <vogtpet at gmail.com> 4.36-1pclos2013
- 4.36

* Tue Feb 12 2013 Pinoc <vogtpet at gmail.com> 4.35-2pclos2013
- noarch

* Wed Dec 26 2012 Pinoc <vogtpet at gmail.com> 4.35-1pclos2013
- 4.35
- fixed permissions for ini-file 

* Mon Sep 10 2012 Pinoc <vogtpet at gmail.com> 4.33-1pclos2012
- 4.33
- fixed permissions for mfc*.dll

* Tue Mar 27 2012 Pinoc <vogtpet at gmail.com> 4.32-2pclos2012
- removed winetricks dependency
- included mfc42*.dll setup

* Mon Mar 26 2012 Pinoc <vogtpet at gmail.com> 4.32-1pclos2012
- initial build
